PDA

View Full Version : [xubuntu] [SOLVED] All installations failing!



Java Geek
August 12th, 2008, 01:56 AM
Every time i run synaptic, apt-get, or add/remove programs, i get the following...

This package is an installer package, it does not actually contain the
JDK documentation. You will need to go download one of the
archives:

jdk-6-doc.zip jdk-6-doc-ja.zip

(choose the non-update version if this is the first installation).
Please visit

http://java.sun.com/javase/downloads/

now and download. The file should be owned by root.root and be copied
to /tmp.

[Press RETURN to try again, 'no' + RETURN to abort]

I have followed the instructions with chown and everything it just doesn't work!

rockerphil
August 12th, 2008, 02:02 AM
ok, the first thing that pops to mind is to run this:

sudo apt-get update

also could you please post the content of your /etc/apt/sources.list file?

Phil

Java Geek
August 12th, 2008, 02:06 AM
sudo apt-get update yields this, which gives me my first message.

E: Some index files failed to download, they have been ignored, or old ones used instead.
E: dpkg was interrupted, you must manually run 'dpkg --configure -a' to correct the problem.

/etc/apt/sources.list

deb cdrom:[Xubuntu 8.04.1 _Hardy Heron_ - Release i386 (20080702.1)]/ hardy main restricted
# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.

deb http://us.archive.ubuntu.com/ubuntu/ hardy main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://us.archive.ubuntu.com/ubuntu/ hardy-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## universe WILL NOT receive any review or updates from the Ubuntu security
## team.
deb http://us.archive.ubuntu.com/ubuntu/ hardy universe
deb http://us.archive.ubuntu.com/ubuntu/ hardy-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://us.archive.ubuntu.com/ubuntu/ hardy multiverse
deb http://us.archive.ubuntu.com/ubuntu/ hardy-updates multiverse

## Uncomment the following two lines to add software from the 'backports'
## repository.
## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
# deb http://us.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse
# deb-src http://us.archive.ubuntu.com/ubuntu/ hardy-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository. This software is not part of Ubuntu, but is
## offered by Canonical and the respective vendors as a service to Ubuntu
## users.
deb http://archive.canonical.com/ubuntu hardy partner
deb-src http://archive.canonical.com/ubuntu hardy partner

deb http://security.ubuntu.com/ubuntu hardy-security main restricted
deb http://security.ubuntu.com/ubuntu hardy-security universe
deb http://security.ubuntu.com/ubuntu hardy-security multiverse

Crafty Kisses
August 12th, 2008, 02:08 AM
Then run:

sudo dpkg --configure -a

mc4100
August 12th, 2008, 02:09 AM
When you run,

sudo dpkg --configure -a
do you get the same message as in your first post?

Java Geek
August 12th, 2008, 02:10 AM
When you run,

sudo dpkg --configure -a
do you get the same message as in your first post?

yes

Java Geek
August 12th, 2008, 02:12 AM
aha i finally got synaptic up and running and found the cause: sun-java6-doc is installed. Its description matches that of the first post

rockerphil
August 12th, 2008, 02:13 AM
are you behind any proxies? i had a brain fart moment a while back where i had misconfigured anon-proxy and it wouldn't allow me to install anything since my machine was basically looping and trying to connect locally

Java Geek
August 12th, 2008, 02:17 AM
are you behind any proxies? i had a brain fart moment a while back where i had misconfigured anon-proxy and it wouldn't allow me to install anything since my machine was basically looping and trying to connect locally

no i don't think so.. I think i found the problem, I keep you posted

rockerphil
August 12th, 2008, 02:22 AM
cool, just remember that if you've solved your problem to mark the thread as solved.

Phil

Java Geek
August 12th, 2008, 02:26 AM
cool, just remember that if you've solved your problem to mark the thread as solved.

Phil
umm how...*embarrased* ive been wondering how. I am SOLVED

Java Geek
August 12th, 2008, 02:26 AM
nmd